void MakeItemsDroppable(object oNPC)
{
    object oItem = GetFirstItemInInventory(oNPC);

    while (GetIsObjectValid(oItem))
    {
        if (GetDroppableFlag(oItem) == FALSE)
        {
            SetLocalInt(oItem, "notdroppable", 1);
        }

        if (GetLocalInt(oItem, "notdroppable") == TRUE)
        {
            // 9% chance to drop item from inventory not already set as droppable
            if (d100() <= 9)
            {
                SetDroppableFlag(oItem, TRUE);

            }
        }

        oItem = GetNextItemInInventory(oNPC);
    }
}

void main()
{
    object oNPC = OBJECT_SELF;
    DelayCommand(0.0f,MakeItemsDroppable(oNPC));
}
